<?php

session_name("SIGNADMAUTH");
session_start();

include "common/config/config.php";
include "common/config/dbconfig.php";
include "common/functions/funcconnect.php";
openDB();

include "common/functions/funcselectdb.php";
include "common/functions/funcdeletedb.php";
include "common/functions/funcauthen.php";

if (!authen())
{ header ("location: login.php");
		}
else
{ $iduser=$_GET['iduser'];
		$konfirmasi=isset($_GET['konfirmasi']) ? $_GET['konfirmasi'] : NULL;
		if ($konfirmasi=="")
		{ // User name
				$tablename=$db_appusers;
				$fieldArray=array("username");
				$condition="userid='".mysqli_real_escape_string($dbConnection, $iduser)."'";
				$orderArray=array();
				$orderrule="";
				$limit="";
				$selectdb=simpleselect($tablename, $fieldArray, $condition, $orderArray, $orderrule, $limit);
				$userdata=mysqli_fetch_array($selectdb);
				$username=$userdata['username'];
				$msg="Anda yakin ingin menghapus data pengguna dengan ID = <b>".$username."</b>?<br><br>";
				$msg.="<input type='button' value=' Hapus ' onclick=\"document.location='user_delete.php?menuid=".$_GET['menuid']."&iduser=".$iduser."&konfirmasi=ok'\"> &nbsp; ";
				$msg.="<input type='button' value=' Batal ' onclick='history.back(-1)'>";
				$resultstatus="Konfirmasi";
				}
		else
		{ $tablename=$db_appusers;
				$condition="userid='".mysqli_real_escape_string($dbConnection, $iduser)."'";
				$deletedb=simpledelete($tablename, $condition);
				if ($deletedb)
				{ $msg="Menghapus data pengguna sukses.";
						$logdesc="HAPUS PENGGUNA #".$iduser;
						include "logakses.php";
						}
				else
				{ $msg="Menghapus data pengguna gagal.<br><br>".$linkback;
								}
				}		

		$qq="SELECT a.appmenuname, b.parentmenuname FROM $db_appmenus a, $db_parent_menus b ";
		$qq.="WHERE a.appmenuid='".mysqli_real_escape_string($dbConnection, $_GET['menuid'])."' AND b.parentmenuid=a.parentid";
		$rr=mysqli_query($dbConnection, $qq);
		$dd=mysqli_fetch_array($rr);

		$content="<table border='0' cellpadding='6px' cellspacing='0' width='100%'>
													<tr>
														<td align='left' valign='top' width='100%'>
															<b class='title'>".$dd['parentmenuname']." &gt; ".$dd['appmenuname']."</b>
															<br><hr size='1' color='#000000'><br>
															<table border='0' cellpadding='0' cellspacing='0'>
																<tr>
																	<td align='left' valign='top' width='45%'>
																		".$msg."
																		<br><br><br>
																	</td>
																</tr>
															</table>		
														</td>
													</tr>
												</table>
												";
		
		include "webmenu.php";
		include "common/include/template.php";
		$temp=new template;
		$temp->define_theme("themes/theme1.html");
		$temp->define_tag("{PAGETITLE}", $namaaplikasi);
		$temp->define_tag("{NAMAUSER}", strtoupper($_SESSION['SES_FULLNAME']));
		$temp->define_tag("{APPMENU}", $webmenu);
		$temp->define_tag("{APPCONTENT}", $content);
		$temp->parse();
		$temp->printproses();
		}

closeDB();

?>